org.firebirdsql.gds.ng

## Enum AbstractFbBlob.BlobState

- java.lang.Object
- - java.lang.Enum<AbstractFbBlob.BlobState>
  - - org.firebirdsql.gds.ng.AbstractFbBlob.BlobState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractFbBlob.BlobState>

Enclosing class:
  AbstractFbBlob

    protected static enum AbstractFbBlob.BlobState
    extends java.lang.Enum<AbstractFbBlob.BlobState>

State of the blob.

Since:
  5.0.7

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSED` Blob is closed.
`DELAYED_OPEN` Blob is deferred open, the open request is delayed (only client-side open).
`NEW` Blob is new and not yet opened.
`OPEN` Blob is open client-side and server-side.
`PENDING_OPEN` Blob is deferred open, and open request is pending (already sent or in send buffer, and response not yet processed).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isClosed()`
`boolean` `isDeferredOpen()`
`boolean` `isOpen()`
`static AbstractFbBlob.BlobState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractFbBlob.BlobState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEW

    public static final AbstractFbBlob.BlobState NEW

Blob is new and not yet opened.

#### DELAYED_OPEN

    public static final AbstractFbBlob.BlobState DELAYED_OPEN

Blob is deferred open, the open request is delayed (only client-side open).

#### PENDING_OPEN

    public static final AbstractFbBlob.BlobState PENDING_OPEN

Blob is deferred open, and open request is pending (already sent or in send buffer, and response not yet processed).

#### OPEN

    public static final AbstractFbBlob.BlobState OPEN

Blob is open client-side and server-side.

#### CLOSED

    public static final AbstractFbBlob.BlobState CLOSED

Blob is closed.

### Method Detail

#### values

    public static AbstractFbBlob.BlobState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractFbBlob.BlobState c : AbstractFbBlob.BlobState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractFbBlob.BlobState valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isOpen

    public final boolean isOpen()

Returns:
  `true` if this state is an open blob

#### isClosed

    public final boolean isClosed()

Returns:
  `true` if this state is a closed blob (including not yet opened)

#### isDeferredOpen

    public final boolean isDeferredOpen()

Returns:
  `true` if this state is a deferred state (i.e. the `DELAYED_OPEN` and `PENDING_OPEN` states)